Availability
Disc Brakes
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,234.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Zinc Plated, Stock Ride Height, 5 x 4.75 in., Kit
Part Number: LEB-FC1002-FBB4X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,234.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,209.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Zinc Plated, Stock Ride Height, 5 x 4.75 in., Kit
Part Number: LEB-FC1002-F6B2X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,209.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,129.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Solid Surface Rotors, Cast Iron Calipers, Zinc Plated, Stock Ride Height, 5 x 4.75 in., Kit
Part Number: LEB-FC1002-L6B4
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,129.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,174.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Zinc Plated, Stock Ride Height, 5 x 4.75 in., Kit
Part Number: LEB-FC1002-LBB2X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,174.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,069.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Cross-Drilled/Slotted Rotors, Vented, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-FC1003-E05X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,069.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,149.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Solid Surface Rotors, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-FC1003-L605
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,149.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,164.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Solid Surface Rotors, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-FC1003-FBB4
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,164.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,339.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-FC1003-F6B4X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,339.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,019.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Cross-Drilled/Slotted Rotors, Vented, Cast Iron Calipers, Zinc Plated, Stock Ride Height, 5 x 4.75 in., Kit
Part Number: LEB-FC1006-3A3X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,019.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,104.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, Stock Ride Height, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1002-3A1X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,104.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $834.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Conversion, Rear, Cross-Drilled/Slotted Rotors, 1-Piston Zinc Plated Calipers, Chevy, Pontiac, Kit
Part Number: LEB-RC1009X
Estimated Ship Date: Nov 23, 2026 if ordered today
$75.00 Mail-In Rebate
Price after Manufacturer Rebate: $834.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,254.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Red Powdercoat, Stock Ride Height, 5 x 4.75 in. Kit
Part Number: LEB-RFC1002E1A1X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,254.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,171.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Red Powdercoated, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1011K1A1X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,171.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,729.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Drilled and Slotted Rotors, Red Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit
Part Number: LEB-S0111
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,729.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,004.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1010-305X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,004.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $900.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Rear Conversion, Cross-drilled/Slotted Rotors, Red Powdercoated Calipers, Ford, Mercury, Kit
Part Number: LEB-RRC0001X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $900.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,449.95
Rebate Expires: 10/31/2026
Disc Brake Kit, MaxGrip Lite Disc Brake Conversion, Front, Cross-Drilled/Slotted Rotors, Gray Calipers, GM, Kit
Part Number: LEB-FC1013SMX
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,449.95
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,274.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, 2 in. Drop Spindles, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1003-FA1X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,274.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,184.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, 2 in. Drop Spindles, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-RFC1003-3A3X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,184.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,570.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Red Powdercoated, Chrysler, Dodge, Plymouth, Ki
Part Number: LEB-RFC2001C05PX
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$175.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,570.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,354.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Red Powdercoat, Stock Ride Height, 5 x 4.75 in. Kit
Part Number: LEB-RFC1002N6B2X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$150.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,354.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,089.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Zinc Plated, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-FC1010-K1A3X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,089.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,199.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Solid Surface Rotors, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-FC1003-N6B2
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,199.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,314.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Red, 2 in. Drop Spindle, 5 x 4.75 in., Kit
Part Number: LEB-RFC1003E1A1X
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $1,314.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $939.99
Rebate Expires: 10/31/2026
Disc Brake Kit, Front Conversion, Manual, Solid Surface Rotors, Cast Iron Calipers, Zinc Plated, Stock Ride Height, 5 x 4.75 in. Bolt Pattern, Kit
Part Number: LEB-FC1006-FA3
Not Yet Reviewed
Estimated Ship Date: Nov 23, 2026 if ordered today
$100.00 Mail-In Rebate
Price after Manufacturer Rebate: $939.99
Rebate Expires: 10/31/2026
Estimated Ship Date: Nov 23, 2026 if ordered today
Truck / SUV
Jeep®
Restoration
Stock Replacement
Late Model Muscle
Tools
Gifts, Clothing, & More
Circle Track
Street Rod
Powersports
Paint & Body
Marine
Jr Dragster